package pl.helion.j2mepp.zdalnakamera.dodatkowe;

import java.util.TimerTask;
import pl.helion.j2mepp.zdalnakamera.ObrazForm;
import pl.helion.j2mepp.zdalnakamera.komunikacja.MenedzerObrazow;


abstract public class ObrazTask extends TimerTask {
    private ObrazForm wlasciciel;
    private MenedzerObrazow m;

    public ObrazTask(MenedzerObrazow m) {
        super();
        this.m = m;
    }

    protected ObrazForm getWlasciciel() {
        return wlasciciel;
    }

    protected MenedzerObrazow getMenedzer() {
        return m;
    }

    public void setWlasciciel(ObrazForm wlasciciel) {
        this.wlasciciel = wlasciciel;
    }


}
